{% extends 'Default/backend.html.twig' %}

{% block main_content %}
  <section id="intro" class="container my-4">
    <div class="row">
      <div class="col-lg-12">
        <h2>{{ 'nav.admin.webhook' | trans }}</h2>
      </div>

      <div class="col-lg-12">
        <div id="no-more-tables">
          <table class="table table-striped table-condensed cf">
            <thead>
            <tr>
              <th>{{ 'webhook.nome' | trans() }}</th>
              <th>{{ 'webhook.endpoint' | trans() }}</th>
              <th>{{ 'webhook.method' | trans() }}</th>
              <th>{{ 'webhook.trigger' | trans() }}</th>
              <th>{{ 'webhook.filters' | trans() }}</th>
              <th>{{ 'webhook.active' | trans() }}</th>
              <th aria-label="{{ 'no_value' | trans() }}" ></th>
            </tr>
            </thead>
            <tbody>
            {% for item in items %}
              <tr>
                <td data-title="Nome">
                  <a href="{{ path('admin_webhook_edit', { 'id': item.id }) }}">{{ item.title }}</a>
                </td>
                <td>{{ item.endpoint|raw }}</td>
                <td>{{ item.method }}</td>
                <td>{{ statuses[item.trigger] }}</td>
                <td>
                  {% if item.filters|length > 0 %}
                    {% for f in item.filters %}
                      {{ services[f] }}
                    {% endfor %}
                  {% else %}
                    {{ 'webhook.no_service' | trans() }}
                  {% endif %}
                </td>
                <td>{{ (item.active) ? 'webhook.active'|trans() : 'webhook.not_active'|trans() }}</td>
                <td data-title="{{ 'iscrizioni.subscribers.actions' | trans }}" class="actions">
                  <a class="btn btn-secondary btn-xs" href="{{ path('admin_webhook_edit', { 'id': item.id }) }}">{{ 'gruppo_di_servizi.modifica' | trans() }}</a>
                  <a class="btn btn-danger btn-xs"
                     onclick="return confirm('{{ 'operatori.delete_webhook' | trans }}');"
                     href="{{ path('admin_webhook_delete', { 'id': item.id }) }}">{{ 'elimina' | trans }}</a>
                </td>
              </tr>
            {% endfor %}
            </tbody>
          </table>
        </div>
        <a class="btn btn-primary" href="{{ path('admin_webhook_new') }}">{{ 'webhook.create' | trans() }}</a>
      </div>
    </div>
  </section>
{% endblock %}
